use moa_uapi::futex::FutexWaiter;

#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_FUTEX_WAIT)]
fn sys_futex_wait(uaddr: *const u32, expected: u32, timeout: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_FUTEX_WAITV)]
fn sys_futex_waitv(waiters: *const FutexWaiter, count: usize, timeout: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_FUTEX_WAKE)]
fn sys_futex_wake(uaddr: *const u32, nr_wake: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_FUTEX_REQUEUE)]
fn sys_futex_requeue(src: *const u32, dst: *const u32, nr_wake: u32, nr_move: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_ROBUST_LIST_SET)]
fn sys_robust_list_set(head: *const u8) -> isize {
    ERR_NOSYS
}
